import { jsx } from "react/jsx-runtime";
import { ChatCircleIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ChatCircle = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "ChatCircle", ...props, children: /* @__PURE__ */ jsx(ChatCircleIcon, { weight: variant }) });
  }
);
ChatCircle.displayName = "ChatCircle";
Object.assign(ChatCircle, { isGdsIcon: true });
export {
  ChatCircle
};
